@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%"=="" @echo off
@rem ##########################################################################
@rem
@rem  wpslprconcentrator startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%"=="" set DIRNAME=.
@rem This is normally unused
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and WPSLPRCONCENTRATOR_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\wpslprconcentratorservice-7.457.12.jar;%APP_HOME%\lib\core-1.189.0.jar;%APP_HOME%\lib\jackson-datatype-jdk8-2.15.2.jar;%APP_HOME%\lib\jackson-databind-2.15.2.jar;%APP_HOME%\lib\jackson-annotations-2.15.2.jar;%APP_HOME%\lib\jackson-core-2.15.2.jar;%APP_HOME%\lib\br.com.wpssa.rd.parkingplus.lib.Bibliotecas.logging.slf4j-provider-slf4j-provider-7.457.12.jar;%APP_HOME%\lib\br.com.wpssa.rd.parkingplus.lib.Bibliotecas.utils.lang-lang-7.457.12.jar;%APP_HOME%\lib\spring-webmvc-5.3.29.jar;%APP_HOME%\lib\spring-security-core-3.1.4.RELEASE.jar;%APP_HOME%\lib\spring-context-5.3.29.jar;%APP_HOME%\lib\jetty-webapp-9.4.51.v20230217.jar;%APP_HOME%\lib\jetty-servlet-9.4.51.v20230217.jar;%APP_HOME%\lib\jetty-security-9.4.51.v20230217.jar;%APP_HOME%\lib\jetty-server-9.4.51.v20230217.jar;%APP_HOME%\lib\org.eclipse.paho.client.mqttv3-1.2.5.jar;%APP_HOME%\lib\hibernate-validator-6.0.21.Final.jar;%APP_HOME%\lib\validation-api-2.0.1.Final.jar;%APP_HOME%\lib\javax.el-api-3.0.0.jar;%APP_HOME%\lib\el-impl-2.2.jar;%APP_HOME%\lib\hibernate-validator-annotation-processor-6.0.21.Final.jar;%APP_HOME%\lib\gson-2.8.9.jar;%APP_HOME%\lib\commons-logging-1.1.1.jar;%APP_HOME%\lib\spring-aop-5.3.29.jar;%APP_HOME%\lib\spring-web-5.3.29.jar;%APP_HOME%\lib\spring-beans-5.3.29.jar;%APP_HOME%\lib\spring-expression-5.3.29.jar;%APP_HOME%\lib\spring-core-5.3.29.jar;%APP_HOME%\lib\spring-jcl-5.3.29.jar;%APP_HOME%\lib\jetty-http-9.4.51.v20230217.jar;%APP_HOME%\lib\jetty-io-9.4.51.v20230217.jar;%APP_HOME%\lib\jetty-util-ajax-9.4.51.v20230217.jar;%APP_HOME%\lib\jetty-xml-9.4.51.v20230217.jar;%APP_HOME%\lib\jetty-util-9.4.51.v20230217.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.25.jar;%APP_HOME%\lib\log4j-over-slf4j-1.7.25.jar;%APP_HOME%\lib\logback-journal-0.3.0.jar;%APP_HOME%\lib\logback-classic-1.2.3.jar;%APP_HOME%\lib\slf4j-api-1.7.30.jar;%APP_HOME%\lib\el-api-2.2.jar;%APP_HOME%\lib\hibernate-entitymanager-4.2.21.Final.jar;%APP_HOME%\lib\hibernate-core-4.2.21.Final.jar;%APP_HOME%\lib\hibernate-commons-annotations-4.0.2.Final.jar;%APP_HOME%\lib\jboss-logging-3.3.2.Final.jar;%APP_HOME%\lib\classmate-1.3.4.jar;%APP_HOME%\lib\commons-dbcp-1.4.jar;%APP_HOME%\lib\javassist-3.20.0-GA.jar;%APP_HOME%\lib\jta-1.1.jar;%APP_HOME%\lib\commons-lang-2.4.jar;%APP_HOME%\lib\commons-codec-1.15.jar;%APP_HOME%\lib\concurrent-1.3.4.jar;%APP_HOME%\lib\joda-time-2.10.jar;%APP_HOME%\lib\xstream-1.4.20.jar;%APP_HOME%\lib\opentelemetry-api-1.32.0.jar;%APP_HOME%\lib\javax.servlet-api-3.1.0.jar;%APP_HOME%\lib\logback-core-1.2.3.jar;%APP_HOME%\lib\jna-4.4.0.jar;%APP_HOME%\lib\commons-pool-1.5.4.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\dom4j-1.6.1.jar;%APP_HOME%\lib\hibernate-jpa-2.0-api-1.0.1.Final.jar;%APP_HOME%\lib\jdom-1.1.jar;%APP_HOME%\lib\mxparser-1.2.2.jar;%APP_HOME%\lib\opentelemetry-context-1.32.0.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\xmlpull-1.1.3.1.jar


@rem Execute wpslprconcentrator
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %WPSLPRCONCENTRATOR_OPTS%  -classpath "%CLASSPATH%" br.com.wpssa.rd.parkingplus.wpslprconcentrator.WpsLprConcentrator %*

:end
@rem End local scope for the variables with windows NT shell
if %ERRORLEVEL% equ 0 goto mainEnd

:fail
rem Set variable WPSLPRCONCENTRATOR_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
set EXIT_CODE=%ERRORLEVEL%
if %EXIT_CODE% equ 0 set EXIT_CODE=1
if not ""=="%WPSLPRCONCENTRATOR_EXIT_CONSOLE%" exit %EXIT_CODE%
exit /b %EXIT_CODE%

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
